# Default aliases
alias ls="ls --color=auto"
alias mv="mv -v"
alias la="ls -a"
alias ll="ls -l"
alias lh="ls -lah"
alias grep="grep --color=auto -n"
alias diff='diff --color=auto'
alias gdiff='git diff'
alias yarn="yarn --emoji true"

# No space in file
alias nospace='rename "y/ /_/ " *'

# APT
alias nonfree="dpkg-query -W -f='${Section}\t${Package}\n' | grep ^non-free"

# Sound
alias rpLQ='mpv http://radioperfecto.net-radio.fr/perfecto.mp3'
alias rpHQ='mpv http://radioperfecto.net-radio.fr:80/perfecto.aac'
alias rp='rpHQ'
alias 107='mpv http://15363.live.streamtheworld.com/KSANFMAAC192.aac'
alias onlyrock='mpv http://ns508363.ip-198-100-145.net:8080/onlyrockradio.mp3'
alias fuzz='mpv "https://cloud.darkou.fr/s/7paGBPsERGJjnFd/download?path=%2F&files=fuzz.pls"'
alias rx3='mpv https://cleo.shoutca.st/radio/8020/radio.mp3\?1608118952'
alias heavy1='mpv https://listen.radioking.com/radio/119653/stream/159121'
alias lagrosseRock='mpv http://hd.lagrosseradio.info/lagrosseradio-rock-192.mp3'
alias lagrosseMetal='mpv http://hd.lagrosseradio.info/lagrosseradio-metal-192.mp3'
alias lagrosseReggae='mpv http://hd.lagrosseradio.info/lagrosseradio-reggae-192.mp3'
alias radioDoom='mpv -playlist http://kuorinka.duckdns.org:2718/doom.m3u'
alias highVoltage='mpv https://strm112.1.fm/highvoltage_mobile_mp3' # https://prod.radio-api.net/stations/now-playing?stationIds=1fmhighvoltage

alias dh="dfc -t xfs,ext2 2>/dev/null"

alias irc="ssh jules -t tmux attach-session -t irc"

alias getClass="swaymsg -t get_tree| grep $1"
